%define upstream_name    Crypt-DH-GMP
%define upstream_version 0.00012

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Compatibility Mode For Crypt::DH
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::CheckLib) >= 0.400.0
BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.180.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: libgmp-devel
BuildRequires: perl-devel
%description
Crypt::DH::GMP is a (somewhat) portable replacement to Crypt::DH,
implemented mostly in C.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.0.120-7.mga6
+ Revision: 1024513
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.0.120-6.mga6
+ Revision: 956926
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.0.120-5.mga6
+ Revision: 843903
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.0.120-4.mga5
+ Revision: 744753
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.120-3.mga5
+ Revision: 684037
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.0.120-2.mga5
+ Revision: 630953
- Rebuild for perl 5.20

* Thu Apr 17 2014 jquelin <jquelin> 0.0.120-1.mga5
+ Revision: 615389
- update to 0.00012

* Sat Oct 19 2013 umeabot <umeabot> 0.0.110-2.mga4
+ Revision: 534071
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.0.110-1.mga4
+ Revision: 476218
- update to 0.00011

* Wed May 29 2013 jquelin <jquelin> 0.0.100-4.mga4
+ Revision: 431390
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.100-3.mga3
+ Revision: 364836
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.0.100-2.mga3
+ Revision: 250392
- rebuild for perl 5.16

* Sat Nov 19 2011 kharec <kharec> 0.0.100-1.mga2
+ Revision: 169180
- update to 0.00010

* Wed Nov 09 2011 jquelin <jquelin> 0.0.90-1.mga2
+ Revision: 165822
- adding missing buildrequires:
- adding missing buildrequires:
- imported package perl-Crypt-DH-GMP


* Wed Nov 09 2011 cpan2dist 0.00009-1mga
- initial mageia release, generated with cpan2dist
